import logging
import socket
import sys
import time

def main():
	serveraddr = '192.168.56.103'
	serverport = 50001
	bufsize = 1024
	
	logfile = 'helloclient.log'
	loglevel = logging.DEBUG
	logging.basicConfig(filename=logfile,level=loglevel)
	
	with socket.socket(family=socket.AF_INET, \
			type=socket.SOCK_STREAM, proto=0, fileno=None) as client:
		try:
			client.connect((serveraddr, serverport))
			logging.debug('Client connected to ' + serveraddr + ':' + str(serverport))
			
			buf = client.recv(bufsize)
			msg = buf.decode()
			logging.debug('Received \'' + msg + '\'')
			print('Server says: ' + msg)
			
			msg = 'Not much'
			buf = msg.encode()
			client.send(buf)

			client.close()
			
		except socket.timeout as toerr:
			print('Connection timed out with ' + str(toerr), file=sys.stderr)
			logging.exception('connecting to ' \
				+ serveraddr + ':' + str(serverport) + ' ' + str(toerr))
		except ConnectionError as conerr:
			print('Connection error with ' + str(conerr),file=sys.stderr)
			logging.exception('connecting to ' \
				+ serveraddr + ':' + str(serverport) + ' ' + str(conerr))

if __name__ == "__main__":
	main()
